SoPickRayElement(3)

NAME
SoPickRayElement - The SoPickRayElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoPickRayElement.h>

Inherits SoElement.

  Public Member Functions
virtual void init (SoState *state)
virtual SbBool matches (const SoElement *element) const
FIXME: write doc.
virtual SoElement * copyMatchInfo () const
FIXME: write doc.
Public Member Functions inherited from SoElement
const SoType getTypeId (void) const
int getStackIndex (void) const
virtual void push (SoState *state)
virtual void pop (SoState *state, const SoElement *prevTopElement)
void setDepth (const int depth)
int getDepth (void) const
virtual void print (FILE *file=stdout) const
virtual ~SoElement ()

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, const SbViewVolume &volume)
FIXME: write doc.
static const SbViewVolume & get (SoState *const state)
FIXME: write doc.
Static Public Member Functions inherited from SoElement
static void initClass (void)
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void initElements (void)
static int getNumStackIndices (void)
static SoType getIdFromStackIndex (const int stackIndex)

  Protected Member Functions
virtual ~SoPickRayElement ()
Protected Member Functions inherited from SoElement
SoElement (void)
void capture (SoState *const state) const
virtual void captureThis (SoState *state) const
void setTypeId (const SoType typeId)
void setStackIndex (const int index)
SoElement * getNextInStack (void) const
SoElement * getNextFree (void) const

  Protected Attributes
SbViewVolume volume
Protected Attributes inherited from SoElement
SoType typeId
int stackIndex
int depth

  Additional Inherited Members
Static Protected Member Functions inherited from SoElement
static SoElement * getElement (SoState *const state, const int stackIndex)
static const SoElement * getConstElement (SoState *const state, const int stackIndex)
static int createStackIndex (const SoType id)
Static Protected Attributes inherited from SoElement
static int classStackIndex
static SoTypeList * stackToType

Detailed Description

The SoPickRayElement class is yet to be documented. FIXME: write doc.

Constructor & Destructor Documentation

  SoPickRayElement::~SoPickRayElement (void ) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoPickRayElement::getClassTypeId (void ) [static]
This static method returns the SoType object associated with objects of this class.

  int SoPickRayElement::getClassStackIndex (void ) [static]
This static method returns the state stack index for the class.

  void * SoPickRayElement::createInstance (void ) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoPickRayElement::initClass (void ) [static]
Initialize relevant common data for all instances, like the type system.

  void SoPickRayElement::init (SoState * state) [virtual]
Initializes the element to its default value.

Reimplemented from SoElement.

  SbBool SoPickRayElement::matches (const SoElement * element) const [virtual]

FIXME: write doc.

Implements SoElement.

  SoElement * SoPickRayElement::copyMatchInfo (void ) const [virtual]

FIXME: write doc.

Implements SoElement.

Member Data Documentation

  SbViewVolume SoPickRayElement::volume [protected]
FIXME: write doc.

Author

Generated automatically by Doxygen for Coin from the source code.